tagTags

Creates a Tag resource.

post

Creates a Tag resource.

Authorizations
Body
titlestring · nullableRequired
backgroundColorstring · nullableOptional

Background color of label

textColorstring · nullableOptional

Text color of label

descriptionstring · nullableOptional

Description of tag

Responses
chevron-right
201

Tag resource created

@contextone ofOptional
stringOptional
or
@idstringRequired
@typestringRequired
idstring · nullableOptional
backgroundColorstring · nullableOptional
textColorstring · nullableOptional
titlestring · nullableRequired
descriptionstring · nullableOptional
createdAtstring · nullableOptional
updatedAtstring · nullableOptional
post
/tags

Retrieves a Tag resource.

get

Retrieves a Tag resource.

Authorizations
Path parameters
idstringRequired

Tag identifier

Responses
get
/tags/{id}

Updates the Tag resource.

patch

Updates the Tag resource.

Authorizations
Path parameters
idstringRequired

Tag identifier

Body
idstring · nullableOptional
backgroundColorstring · nullableOptional
textColorstring · nullableOptional
titlestring · nullableOptional
descriptionstring · nullableOptional
createdAtstring · nullableOptional
updatedAtstring · nullableOptional
Responses
patch
/tags/{id}

Replaces the Tag resource.

put

Replaces the Tag resource.

Authorizations
Path parameters
idstringRequired

Tag identifier

Body
idstring · nullableOptional
backgroundColorstring · nullableOptional
textColorstring · nullableOptional
titlestring · nullableRequired
descriptionstring · nullableOptional
createdAtstring · nullableOptional
updatedAtstring · nullableOptional
Responses
put
/tags/{id}

Retrieves the collection of Tag resources.

get

Retrieves the collection of Tag resources.

Authorizations
Query parameters
pageintegerOptional

The collection page number

Default: 1
itemsPerPageinteger · max: 30Optional

The number of items per page

Default: 15
idstringOptional
id[]string[]Optional
Responses
get
/tags

Last updated